//
//  ChocoLayerPDF.h
//  ChocoFlopX
//
//  Created by Santiago Lema on 14.04.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ChocoLayerViewBased.h"
#import "ChocoPDFView.h"

@interface ChocoLayerPDF : ChocoLayerViewBased 
{
	PDFDocument* pdfDoc;
	NSString* sourcePath;
}

 -(BOOL) loadFromPath:(NSString*)path replaceSourcePath:(BOOL)replacePath;
//-(BOOL) updatePDFRenderedNOW;

-(void) clonePDFLayer:(ChocoLayerPDF*)cloneme;
-(PDFDocument*) getPDFDocument;
-(NSString*) getSourcePath;
-(void) setSourcePath:(NSString*)str;


- (IBAction) pickNewFile:(id)sender;
- (void)layerPickOpenPanelDidEnd:(NSOpenPanel *)panel returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (IBAction) updateFileFromOriginal:(id)sender;
//-(IBAction)updatePDF:(id)sender;
-(void) createPDFViewFromPDFDoc;

@end
